Botan 1.10.17

fd_unix.h
Go to the documentation of this file.
1 /*
2 * Pipe I/O for Unix
3 * (C) 1999-2007 Jack Lloyd
4 *
5 * Distributed under the terms of the Botan license
6 */
7
8 #ifndef BOTAN_PIPE_UNIXFD_H__
9 #define BOTAN_PIPE_UNIXFD_H__
10
11 #include <botan/pipe.h>
12
13 namespace Botan {
14
15 /**
16 * Stream output operator; dumps the results from pipe's default
17 * message to the output stream.
18 * @param out file descriptor for an open output stream
19 * @param pipe the pipe
20 */
21 int BOTAN_DLL operator<<(int out, Pipe& pipe);
22
23 /**
24 * File descriptor input operator; dumps the remaining bytes of input
25 * to the (assumed open) pipe message.
26 * @param in file descriptor for an open input stream
27 * @param pipe the pipe
28 */
29 int BOTAN_DLL operator>>(int in, Pipe& pipe);
30
31 }
32
33 #endif
Botan::operator>>
int operator>>(int fd, Pipe &pipe)
Definition: fd_unix.cpp:39
Botan::operator<<
int operator<<(int fd, Pipe &pipe)
Definition: fd_unix.cpp:17
Botan
Definition: algo_base.h:14